Bug 894646 - wicd-curses crash on startup
wicd-curses crash on startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
: 914839 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-12 16:25 EST by Ivan Mironov
Modified: 2015-08-14 22:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: wicd-1.7.2.4-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1211811 (view as bug list)
Environment:
Last Closed: 2014-09-26 05:06:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the issue (1.42 KB, patch)
2013-12-25 08:03 EST, Pavel Zhukov
no flags Details | Diff
spec file (1.25 KB, patch)
2013-12-25 08:06 EST, Pavel Zhukov
no flags Details | Diff

  None (edit)
Description Ivan Mironov 2013-01-12 16:25:16 EST
Description of problem:
wicd-curses crashes immediately after starting:

Traceback (most recent call last):
  File "/usr/share/wicd/curses/wicd-curses.py", line 1067, in <module>
    main()
  File "/usr/share/wicd/curses/wicd-curses.py", line 995, in main
    ui.run_wrapper(run)
  File "/usr/lib64/python2.7/site-packages/urwid/raw_display.py", line 241, in run_wrapper
    return fn()
  File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 1003, in run
    app = appGUI()
  File "/usr/share/wicd/curses/wicd-curses.py", line 548, in __init__
    self.wiredCB = urwid.Filler(WiredComboBox(wiredL))
  File "/usr/share/wicd/curses/wicd-curses.py", line 378, in __init__
    self.__super.__init__(use_enter=False)
  File "/usr/share/wicd/curses/curses_misc.py", line 351, in __init__
    self.focus = focus
AttributeError: can't set attribute

Version-Release number of selected component (if applicable):
wicd-curses-1.7.2.4-2.fc18.noarch
wicd-1.7.2.4-2.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install wicd wicd-curses
2. systemctl start wicd.service
3. wicd-curses
  
Actual results:
Crash with python traceback (see above).

Expected results:
It should run and allow me configure network.
Comment 1 Jan Welker 2013-03-12 11:28:03 EDT
The problem is that python-urwid 1.1.1 changed the API and is therefor incompatible with wicd 1.7.2.4
Comment 2 David Cantrell 2013-03-14 15:23:26 EDT
*** Bug 914839 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2013-03-14 15:41:00 EDT
wicd-1.7.2.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-3.fc18
Comment 4 Fedora Update System 2013-03-15 21:44:31 EDT
Package wicd-1.7.2.4-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3948/wicd-1.7.2.4-3.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-04-01 18:23:12 EDT
wicd-1.7.2.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Dan Ziemba 2013-04-02 21:17:59 EDT
Still crashed for me with the same error.

┌─[dan@fedoramac]─[~]
└──╼ rpm -qa | egrep "wicd|urwid"
wicd-1.7.2.4-3.fc18.x86_64
wicd-gtk-1.7.2.4-3.fc18.noarch
wicd-curses-1.7.2.4-3.fc18.noarch
wicd-common-1.7.2.4-3.fc18.noarch
python-urwid-1.1.1-1.fc18.x86_64
Comment 7 David Cantrell 2013-04-08 09:35:09 EDT
Please post the complete traceback you are seeing.  Also, when an update is posted it goes to the testing repo.  If you can, please test the update from the testing repo and then report whether or not it works for you.  Generally speaking, no one ever tests wicd updates and they sit in the testing repo for 14 days and then I move them to stable.
Comment 8 Dan Ziemba 2013-04-08 23:55:24 EDT
Here is the traceback from version 1.7.2.4-3.fc18.  There doesn't appear to be a newer version in updates-testing or on koji.  I will test if any become available.

Traceback (most recent call last):
  File "/usr/share/wicd/curses/wicd-curses.py", line 1071, in <module>
    main()
  File "/usr/share/wicd/curses/wicd-curses.py", line 995, in main
    ui.run_wrapper(run)
  File "/usr/lib64/python2.7/site-packages/urwid/raw_display.py", line 241, in run_wrapper
    return fn()
  File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 1003, in run
    app = appGUI()
  File "/usr/share/wicd/curses/wicd-curses.py", line 548, in __init__
    self.wiredCB = urwid.Filler(WiredComboBox(wiredL))
  File "/usr/share/wicd/curses/wicd-curses.py", line 378, in __init__
    self.__super.__init__(use_enter=False)
  File "/usr/share/wicd/curses/curses_misc.py", line 351, in __init__
    self.focus = focus
AttributeError: can't set attribute
Comment 9 Lokesh Mandvekar 2013-04-22 20:28:06 EDT
I'm getting the same error on rawhide.
Comment 10 Lokesh Mandvekar 2013-04-28 18:40:37 EDT
Version 1.7.3 _partially_ fixes this. The first time I try to configure a network, I get this traceback:

Traceback (most recent call last):
  File "/usr/share/wicd/curses/wicd-curses.py", line 1134, in call_update_ui
    self.update_ui(True)
  File "/usr/share/wicd/curses/wicd-curses.py", line 94, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 1146, in update_ui
    self.handle_keys(input_data[1])
  File "/usr/share/wicd/curses/wicd-curses.py", line 1028, in handle_keys
    self.diag = WirelessSettingsDialog(pos, self.frame)
  File "/usr/share/wicd/curses/netentry_curses.py", line 503, in __init__
    self.set_values()
  File "/usr/share/wicd/curses/netentry_curses.py", line 543, in set_values
    wireless.GetWirelessProperty(networkID, 'bitrate')
ValueError: None is not in list


But, I'm able to connect to a network via wicd-gtk, and once this connection is saved, it can be modified later using wicd-curses.
Comment 11 Fedora End Of Life 2013-12-21 10:17:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Pavel Zhukov 2013-12-25 07:40:25 EST
(In reply to Dan Ziemba from comment #8)
> Here is the traceback from version 1.7.2.4-3.fc18.  There doesn't appear to
> be a newer version in updates-testing or on koji.  I will test if any become
> available.
> 
> Traceback (most recent call last):
>   File "/usr/share/wicd/curses/wicd-curses.py", line 1071, in <module>
>     main()
>   File "/usr/share/wicd/curses/wicd-curses.py", line 995, in main
>     ui.run_wrapper(run)
>   File "/usr/lib64/python2.7/site-packages/urwid/raw_display.py", line 241,
> in run_wrapper
>     return fn()
>   File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
>     return func(*args, **kargs)
>   File "/usr/share/wicd/curses/wicd-curses.py", line 1003, in run
>     app = appGUI()
>   File "/usr/share/wicd/curses/wicd-curses.py", line 548, in __init__
>     self.wiredCB = urwid.Filler(WiredComboBox(wiredL))
>   File "/usr/share/wicd/curses/wicd-curses.py", line 378, in __init__
>     self.__super.__init__(use_enter=False)
>   File "/usr/share/wicd/curses/curses_misc.py", line 351, in __init__
>     self.focus = focus
> AttributeError: can't set attribute

still in F20
Comment 13 Pavel Zhukov 2013-12-25 08:03:59 EST
Created attachment 841481 [details]
patch to fix the issue
Comment 14 Pavel Zhukov 2013-12-25 08:06:07 EST
Created attachment 841492 [details]
spec file
Comment 15 al morris 2014-03-05 10:25:30 EST
[al@zotac8gig ~]$ sudo systemctl start wicd.service
[al@zotac8gig ~]$ wicd-curses

Traceback (most recent call last):
  File "/usr/share/wicd/curses/wicd-curses.py", line 1067, in <module>
    main()
  File "/usr/share/wicd/curses/wicd-curses.py", line 995, in main
    ui.run_wrapper(run)
  File "/usr/lib64/python2.7/site-packages/urwid/raw_display.py", line 241, in run_wrapper
    return fn()
  File "/usr/share/wicd/curses/wicd-curses.py", line 88, in wrapper
    return func(*args, **kargs)
  File "/usr/share/wicd/curses/wicd-curses.py", line 1003, in run
    app = appGUI()
  File "/usr/share/wicd/curses/wicd-curses.py", line 548, in __init__
    self.wiredCB = urwid.Filler(WiredComboBox(wiredL))
  File "/usr/share/wicd/curses/wicd-curses.py", line 378, in __init__
    self.__super.__init__(use_enter=False)
  File "/usr/share/wicd/curses/curses_misc.py", line 351, in __init__
    self.focus = focus
AttributeError: can't set attribute
[al@zotac8gig ~]$ 

maybe nobody uses this... just curious

going to try the patch
@
Comment 16 Peter H. Jones 2014-03-08 23:32:47 EST
Also got this bug in fc20, trying to connect to a WPA2 network. My real interest in wicd would be if it allows creating an access point in XFCE. Network Manager allows creation of access points, but only of type WEP, and in (Gnome) Desktop, not in XFCE.
Comment 17 Fedora Update System 2014-06-30 11:54:26 EDT
wicd-1.7.2.4-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-9.fc20
Comment 18 lnie 2014-06-30 22:51:18 EDT
wicd-1.7.2.4-9.fc20 works
Comment 19 Fedora Update System 2014-07-01 03:23:59 EDT
Package wicd-1.7.2.4-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-9.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7967/wicd-1.7.2.4-9.fc20
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2014-07-02 11:16:06 EDT
wicd-1.7.2.4-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-10.fc20
Comment 21 Fedora Update System 2014-07-02 11:51:56 EDT
wicd-1.7.2.4-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-11.fc20
Comment 22 Fedora Update System 2014-09-26 05:06:17 EDT
wicd-1.7.2.4-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.